Forums Développement Multimédia

Aller au contenu

installation en local

silex sur xampp CMS Silex

8 réponses à ce sujet

#1 ngoran

    Ceinture Blanche

  • Members
  • Pip
  • 3 messages

Posté 20 February 2013 - 10:08 AM

Bonjour à tous,
je viens de finir l'installation de silex en local sur xampp et cela s'est très bien déroulé mais quand j'essai d'accéder à mon espace d'administration voici le message alos svp aidez moi.

"
uncaught exception: Declaration of viewMenu::initHooks() should be compatible with plugin_base::initHooks(HookManager $hookManager) (errno: 2048) in C:\xampp\htdocs\silex_server\plugins\viewMenu\index.php at line #214Declaration of viewMenu::initHooks() should be compatible with plugin_base::initHooks(HookManager $hookManager)

in file: C:\xampp\htdocs\silex_server\plugins\viewMenu\index.php line 214
#0 C:\xampp\htdocs\silex_server\cgi\includes\plugin_manager.php(74): _hx_error_handler(2048, 'Declaration of ...', 'C:\xampp\htdocs...', 214, Array)
#1 C:\xampp\htdocs\silex_server\cgi\includes\plugin_manager.php(74): plugin_manager::createPlugin()
#2 C:\xampp\htdocs\silex_server\cgi\includes\plugin_manager.php(53): plugin_manager->createPlugin('viewMenu', Array)
#3 C:\xampp\htdocs\silex_server\framework\hx\org\silex\serverApi\PluginManager.class.php(11): plugin_manager->createActivePlugins(Array, Object(HookManager))
#4 C:\xampp\htdocs\silex_server\framework\hx\org\silex\html\SilexIndex.class.php(110): org_silex_serverApi_PluginManager->createActivePlugins(Object(Hash), Object(org_silex_serverApi_HookManager))
#5 C:\xampp\htdocs\silex_server\index.php(9): org_silex_html_SilexIndex::main()
#6 {main}

cordialement,

#2 _lex

  • Moderateur
  • PipPipPipPipPipPipPipPip
  • 1016 messages

Posté 20 February 2013 - 10:31 AM

Hello
Silex n'est plus compatible avec la dernière version de PHP (> 5.3)
Tu as quelle version?
C'est du au fait qu'on utilise amfphp v1 dans Silex, on n'est jamais passé à la v2...

#3 ngoran

    Ceinture Blanche

  • Members
  • Pip
  • 3 messages

Posté 20 February 2013 - 16:00 PM

le php de mon xampp est la version 5.4.7 donc que dois-je faire pour regler ce problème

#4 _lex

  • Moderateur
  • PipPipPipPipPipPipPipPip
  • 1016 messages

Posté 20 February 2013 - 16:48 PM

il te faut php 5.3
tu as d'anciennes versions de xampp ici :
http://sourceforge.n...AMPP%20Windows/
ou bien tu dois pouvoir changer la version de php sans télécharger xampp en entier...

#5 _lex

  • Moderateur
  • PipPipPipPipPipPipPipPip
  • 1016 messages

Posté 20 February 2013 - 16:49 PM

d'apres ce tableau http://code.stephenm...ache-mysql-php/
il te faut xampp 1.7.7 pour avoir php 5.3

#6 so'lives

    Ceinture Blanche

  • Members
  • Pip
  • 10 messages

Posté 25 February 2013 - 18:49 PM

Bonsoir,
J'ai le même message en version 1.6.3.
La migration vers la version 1.7 n'a rien arrangé...
Message:

uncaught exception: Declaration of viewMenu::initHooks() should be compatible with plugin_base::initHooks(HookManager $hookManager) (errno: 2048) in /usr/home/space/www/node1-6/gl-ouv/0/2/0209111845442429/web/solives.fr/www.solives.fr/html/plugins/viewMenu/index.php at line #214Declaration of viewMenu::initHooks() should be compatible with plugin_base::initHooks(HookManager $hookManager)

in file: /usr/home/space/www/node1-6/gl-ouv/0/2/0209111845442429/web/solives.fr/www.solives.fr/html/plugins/viewMenu/index.php line 214
#0 /usr/home/space/www/node1-6/gl-ouv/0/2/0209111845442429/web/solives.fr/www.solives.fr/html/cgi/includes/plugin_manager.php(74): _hx_error_handler(2048, 'Declaration of ...', '/usr/home/space...', 214, Array)
#1 /usr/home/space/www/node1-6/gl-ouv/0/2/0209111845442429/web/solives.fr/www.solives.fr/html/cgi/includes/plugin_manager.php(74): plugin_manager::createPlugin()
#2 /usr/home/space/www/node1-6/gl-ouv/0/2/0209111845442429/web/solives.fr/www.solives.fr/html/cgi/includes/plugin_manager.php(53): plugin_manager->createPlugin('viewMenu', Array)
#3 /usr/home/space/www/node1-6/gl-ouv/0/2/0209111845442429/web/solives.fr/www.solives.fr/html/framework/hx/org/silex/serverApi/PluginManager.class.php(11): plugin_manager->createActivePlugins(Array, Object(HookManager))
#4 /usr/home/space/www/node1-6/gl-ouv/0/2/0209111845442429/web/solives.fr/www.solives.fr/html/framework/hx/org/silex/html/SilexIndex.class.php(110): org_silex_serverApi_PluginManager->createActivePlugins(Object(Hash), Object(org_silex_serverApi_HookManager))
#5 /usr/home/space/www/node1-6/gl-ouv/0/2/0209111845442429/web/solives.fr/www.solives.fr/html/index.php(9): org_silex_html_SilexIndex::main()
#6 {main}


POUR INFO: mon hébergeur ouvaton.coop est passé récemment en PHP 5.4

Que dois-je faire ?
1) demander à repasser sur le serveur de secours en 5.3
2) changer de CMS ?
3) changer d'hébergeur ?
Pas la peine de répondre je choisi la 1) si jamais vous n'avez pas de solution... à condition que ce soit bien php 5.4 le problème.

Merci pour vos lanternes éclairées !
A bientôt
Olivier

#7 _lex

  • Moderateur
  • PipPipPipPipPipPipPipPip
  • 1016 messages

Posté 25 February 2013 - 19:03 PM

Salut
Silex n'est compatible qu'avec php 5.3

#8 so'lives

    Ceinture Blanche

  • Members
  • Pip
  • 10 messages

Posté 26 February 2013 - 11:19 AM

Bonjour _lex,
Mon hébergeur a bien voulu basculer mon compte sur l'ancier serveur en php 5.3, donc tout est rentré dans l'ordre..
jusqu'à quand ?... néanmoins l'installation de la v1.7 SILEX n'a pas fonctionné (erreur après installation des fichiers réussie depuis la manager, mais en cliquant sur accueil = plantage (pas noté le message hier, trop creuvé)).
Donc je reste en v1.6 pour le moment, j'en ai marre d'installer et désintaller et remettre la version d'origine de mon site...
Est-il prévu de passer xampp en v2 ?
Merci quand même pour tout,
6lexment votre
Olivier

#9 _lex

  • Moderateur
  • PipPipPipPipPipPipPipPip
  • 1016 messages

Posté 26 February 2013 - 15:31 PM

> j'en ai marre d'installer et désintaller et remettre la version d'origine de mon site...

Je comprends

> Est-il prévu de passer xampp en v2 ?

Oui tout à fait, il faut simplement qu'on mette à jour amfphp dans silex (répertoire cgi/amf-core/)



1 utilisateur(s) li(sen)t ce sujet

0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)